using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.VendorCategory.Cqrs;

public class CreateVendorCategoryValidator : AbstractValidator<CreateVendorCategoryRequest>
{
    public CreateVendorCategoryValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Category Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}